Skip to content

Get the Home page of the App

GET
/apps/{appId}/home
curl --request GET \
--url https://api.passion.io/v1/apps/example/home
appId
required

The id of the App, as Studio shows it.

string
/^[1-9][0-9]*$/

OK

Media typeapplication/json
object
tagline
required
Any of:
string
cover
required
Any of:
object
kind
required
string
Allowed values: image video
fileId
required
Any of:
string
url
required

The current address of the picture.

string
story
required
Array<object>
object
heading
required
string
text
required
string
picture
required
Any of:
object
kind
required
string
Allowed values: image video
fileId
required
Any of:
string
url
required

The current address of the picture.

string
highlights
required
Array<string>
testimonials
required
Array<object>
object
quote
required
string
name
required
string
photoFileId
required
Any of:
string
photoUrl
required
Any of:
string
questions
required
Array<object>
object
question
required
string
answer
required
string
sections
required

Every section kind once, in the order a visitor sees them. A hidden section is not shown.

Array<object>
object
kind
required
string
Allowed values: story highlights testimonials community assistant questions
hidden
required
boolean
offerIds
required
Any of:
Array<string>
frontDoor
required

open: visitors see the Home. members_only: visitors see only the tagline, the members-only line and a sign-in.

string
Allowed values: open members_only
membersOnlyLine
required
Any of:
string
updatedAt
required
Any of:
string
Example
{
"cover": {
"kind": "image"
},
"story": [
{
"picture": {
"kind": "image"
}
}
],
"sections": [
{
"kind": "story"
}
],
"frontDoor": "open"
}